osgPresentation::PickEventHandler Class Reference

`#include <PickEventHandler>`

Inheritance diagram for osgPresentation::PickEventHandler:

## Public Member Functions

| PickEventHandler (osgPresentation::Operation operation, const JumpData &jumpData=JumpData())
| PickEventHandler (const std::string &str, osgPresentation::Operation operation, const JumpData &jumpData=JumpData())
| PickEventHandler (const osgPresentation::KeyPosition &keyPos, const JumpData &jumpData=JumpData())
void | setOperation (osgPresentation::Operation operation)
osgPresentation::Operation | getOperation () const
void | setCommand (const std::string &str)
const std::string & | getCommand () const
void | setKeyPosition (const osgPresentation::KeyPosition &keyPos)
const osgPresentation::KeyPosition & | getKeyPosition () const
void | setJumpData (const JumpData &jumpData)
const JumpData & | getJumpData () const
virtual bool | handle (const osgGA::GUIEventAdapter &ea, osgGA::GUIActionAdapter &aa, osg::Object *object, osg::NodeVisitor *nv)
virtual void | getUsage (osg::ApplicationUsage &usage) const
void | doOperation ()
Public Member Functions inherited from osgGA::GUIEventHandler
| GUIEventHandler ()
| GUIEventHandler (const GUIEventHandler &eh, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgGA, GUIEventHandler)
virtual bool | handle (osgGA::Event *event, osg::Object *object, osg::NodeVisitor *nv)
virtual bool | handle (const GUIEventAdapter &, GUIActionAdapter &)
Public Member Functions inherited from osgGA::EventHandler
| EventHandler ()
| EventHandler (const EventHandler &eh, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgGA, EventHandler)
virtual NodeCallback * | asNodeCallback ()
virtual const NodeCallback * | asNodeCallback () const
virtual DrawableEventCallback * | asDrawableEventCallback ()
virtual const DrawableEventCallback * | asDrawableEventCallback () const
virtual EventHandler * | asEventHandler ()
virtual const EventHandler * | asEventHandler () const
virtual bool | run (osg::Object *object, osg::Object *data)
virtual void | operator() (osg::Node *node, osg::NodeVisitor *nv)
virtual void | event (osg::NodeVisitor *nv, osg::Drawable *drawable)
Public Member Functions inherited from osg::NodeCallback
| NodeCallback ()
| NodeCallback (const NodeCallback &nc, const CopyOp &copyop)
| META_Object (osg, NodeCallback)
Public Member Functions inherited from osg::Callback
| Callback ()
| Callback (const Callback &cb, const CopyOp &copyop)
| META_Object (osg, Callback)
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual StateAttributeCallback * | asStateAttributeCallback ()
virtual const StateAttributeCallback * | asStateAttributeCallback () const
virtual UniformCallback * | asUniformCallback ()
virtual const UniformCallback * | asUniformCallback () const
virtual DrawableUpdateCallback * | asDrawableUpdateCallback ()
virtual const DrawableUpdateCallback * | asDrawableUpdateCallback () const
virtual DrawableCullCallback * | asDrawableCullCallback ()
virtual const DrawableCullCallback * | asDrawableCullCallback () const
bool | traverse (osg::Object *object, osg::Object *data)
void | setNestedCallback (osg::Callback *cb)
osg::Callback * | getNestedCallback ()
const osg::Callback * | getNestedCallback () const
void | addNestedCallback (osg::Callback *nc)
void | removeNestedCallback (osg::Callback *nc)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osg::DrawableEventCallback
| DrawableEventCallback ()
| DrawableEventCallback (const DrawableEventCallback &org, const CopyOp &copyop)
| META_Object (osg, DrawableEventCallback)

## Public Attributes

std::string | _command
osgPresentation::KeyPosition | _keyPos
osgPresentation::Operation | _operation
JumpData | _jumpData
std::set< osg::Drawable * > | _drawablesOnPush

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osgGA::GUIEventHandler
virtual | ~GUIEventHandler ()
Protected Member Functions inherited from osg::NodeCallback
virtual | ~NodeCallback ()
Protected Member Functions inherited from osg::Callback
virtual | ~Callback ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Callback
ref_ptr< Callback > | _nestedCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## PickEventHandler() [1/3]

osgPresentation::PickEventHandler::PickEventHandler | ( | osgPresentation::Operation | operation,
|  | const JumpData & | jumpData = JumpData() )

## PickEventHandler() [2/3]

osgPresentation::PickEventHandler::PickEventHandler | ( | const std::string & | str,
|  | osgPresentation::Operation | operation,
|  | const JumpData & | jumpData = JumpData() )

## PickEventHandler() [3/3]

osgPresentation::PickEventHandler::PickEventHandler | ( | const osgPresentation::KeyPosition & | keyPos,
|  | const JumpData & | jumpData = JumpData() )

## Member Function Documentation

## doOperation()

void osgPresentation::PickEventHandler::doOperation | ( |  | ) |

## getCommand()

const std::string & osgPresentation::PickEventHandler::getCommand | ( |  | ) | const

inline

References _command.

## getJumpData()

const JumpData & osgPresentation::PickEventHandler::getJumpData | ( |  | ) | const

inline

References _jumpData.

## getKeyPosition()

const osgPresentation::KeyPosition & osgPresentation::PickEventHandler::getKeyPosition | ( |  | ) | const

inline

References _keyPos.

## getOperation()

osgPresentation::Operation osgPresentation::PickEventHandler::getOperation | ( |  | ) | const

inline

References _operation.

## getUsage()

virtual void osgPresentation::PickEventHandler::getUsage | ( | osg::ApplicationUsage & |  | ) | const

virtual

Get the user interface usage of this event handler, i.e. keyboard and mouse bindings.

Reimplemented from osgGA::EventHandler.

## handle()

virtual bool osgPresentation::PickEventHandler::handle | ( | const osgGA::GUIEventAdapter & | ea,
|  | osgGA::GUIActionAdapter & | aa,
|  | osg::Object * | ,
|  | osg::NodeVisitor * | )

virtual

Handle events, return true if handled, false otherwise.

Reimplemented from osgGA::GUIEventHandler.

## setCommand()

void osgPresentation::PickEventHandler::setCommand | ( | const std::string & | str | ) |

inline

References _command.

## setJumpData()

void osgPresentation::PickEventHandler::setJumpData | ( | const JumpData & | jumpData | ) |

inline

References _jumpData.

## setKeyPosition()

void osgPresentation::PickEventHandler::setKeyPosition | ( | const osgPresentation::KeyPosition & | keyPos | ) |

inline

References _keyPos.

## setOperation()

void osgPresentation::PickEventHandler::setOperation | ( | osgPresentation::Operation | operation | ) |

inline

References _operation.

## Member Data Documentation

## _command

std::string osgPresentation::PickEventHandler::_command

Referenced by getCommand(), and setCommand().

## _drawablesOnPush

std::set<osg::Drawable*> osgPresentation::PickEventHandler::_drawablesOnPush

## _jumpData

JumpData osgPresentation::PickEventHandler::_jumpData

Referenced by getJumpData(), and setJumpData().

## _keyPos

osgPresentation::KeyPosition osgPresentation::PickEventHandler::_keyPos

Referenced by getKeyPosition(), and setKeyPosition().

## _operation

osgPresentation::Operation osgPresentation::PickEventHandler::_operation

Referenced by getOperation(), and setOperation().

The documentation for this class was generated from the following file:

- PickEventHandler